Bug 886875 - Only the last parameter is used for kernel parameters specified multiple times
Only the last parameter is used for kernel parameters specified multiple times
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.10
Unspecified Unspecified
unspecified Severity medium (vote)
: 0.13
: ---
Assigned To: Amit Saha
Misc
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-13 08:06 EST by Jan Stodola
Modified: 2015-07-26 18:15 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-25 02:28:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Stodola 2012-12-13 08:06:18 EST
Description of problem:
When "Kernel Options" field in "Install Options" tab contains something like "my_param=one my_param=two", only the last parameter ("my_param=two") is propagated to "Kernel Options (Install)" in "Provision" tab.

Version-Release number of selected component (if applicable):
Beaker-0.10.5

How reproducible:
always

Steps to Reproduce:
1. select a machine in Beaker WebUI
2. go to "Install Options" tab
3. create new record, put "my_param=one my_param=two" (without quotes) into "Kernel Options"
4. go to "Provision" tab
5. select a distro to provision
6. check if "Kernel Options (Install)" contains all parameters entered in step 3
  
Actual results:
only "my_param=two" is propagated to "Kernel Options (Install)" field

Expected results:
"my_param=one my_param=two"

Additional info:
For example on s390x, rd.dasd= parameter is used multiple times to define DASD drives:
rd.dasd=0.0.3722 rd.dasd=0.0.3622 rd.dasd=0.0.3522
Comment 1 Dan Callaghan 2012-12-13 18:10:29 EST
Probably a regression in 0.9 with the re-implentation of Cobbler's install options in Beaker.
Comment 3 Amit Saha 2013-04-14 01:05:34 EDT
On Gerrit: http://gerrit.beaker-project.org/#/c/1879/
Comment 8 Amit Saha 2013-06-25 02:28:07 EDT
Beaker 0.13.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.